## org.hibernate.ejb.criteria
Class CriteriaQueryImpl<T>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.CriteriaQueryImpl<T>

All Implemented Interfaces:
  Serializable, AbstractQuery<T>, CriteriaQuery<T>

    public class CriteriaQueryImpl<T>

extends AbstractNode
implements CriteriaQuery<T>, Serializable

The Hibernate implementation of the JPA `CriteriaQuery` contract. Mostly a set of delegation to its internal `QueryStructure`.

See Also:
  Serialized Form

Constructor Summary
`CriteriaQueryImpl(CriteriaBuilderImpl criteriaBuilder, Class<T> returnType)`

Method Summary
`void` `applySelection(Selection<? extends T> selection)`
`CriteriaQuery<T>` `distinct(boolean applyDistinction)`

`

`<X> Root<X>`

`

`from(Class<X> entityClass)`

`

`<X> Root<X>`

`

`from(EntityType<X> entityType)`

`List<Expression<?>>` `getGroupList()`
`Predicate` `getGroupRestriction()`
`List<Order>` `getOrderList()`
`Set<ParameterExpression<?>>` `getParameters()`
`Predicate` `getRestriction()`
`Class<T>` `getResultType()`
`Set<Root<?>>` `getRoots()`
`Selection<T>` `getSelection()`
`CriteriaQuery<T>` `groupBy(Expression<?>... groupings)`
`CriteriaQuery<T>` `groupBy(List<Expression<?>> groupings)`
`CriteriaQuery<T>` `having(Expression<Boolean> expression)`
`CriteriaQuery<T>` `having(Predicate... predicates)`
`boolean` `isDistinct()`
`CriteriaQuery<T>` `multiselect(List<Selection<?>> selections)`
`CriteriaQuery<T>` `multiselect(Selection<?>... selections)`
`CriteriaQuery<T>` `orderBy(List<Order> orders)`
`CriteriaQuery<T>` `orderBy(Order... orders)`
`CriteriaQueryCompiler.RenderedCriteriaQuery` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`CriteriaQuery<T>` `select(Selection<? extends T> selection)`

`

`<U> Subquery<U>`

`

`subquery(Class<U> subqueryType)`

`void` `validate()`
`CriteriaQuery<T>` `where(Expression<Boolean> expression)`
`CriteriaQuery<T>` `where(Predicate... predicates)`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CriteriaQueryImpl

    public CriteriaQueryImpl(CriteriaBuilderImpl criteriaBuilder,
                             Class<T> returnType)

Method Detail

### getResultType

    public Class<T> getResultType()

  Specified by:
    `getResultType` in interface `AbstractQuery<T>`

### distinct

    public CriteriaQuery<T> distinct(boolean applyDistinction)

  Specified by:
    `distinct` in interface `AbstractQuery<T>`
  Specified by:
    `distinct` in interface `CriteriaQuery<T>`

### isDistinct

    public boolean isDistinct()

  Specified by:
    `isDistinct` in interface `AbstractQuery<T>`

### getSelection

    public Selection<T> getSelection()

  Specified by:
    `getSelection` in interface `AbstractQuery<T>`

### applySelection

    public void applySelection(Selection<? extends T> selection)

### select

    public CriteriaQuery<T> select(Selection<? extends T> selection)

  Specified by:
    `select` in interface `CriteriaQuery<T>`

### multiselect

    public CriteriaQuery<T> multiselect(Selection<?>... selections)

  Specified by:
    `multiselect` in interface `CriteriaQuery<T>`

### multiselect

    public CriteriaQuery<T> multiselect(List<Selection<?>> selections)

  Specified by:
    `multiselect` in interface `CriteriaQuery<T>`

### getRoots

    public Set<Root<?>> getRoots()

  Specified by:
    `getRoots` in interface `AbstractQuery<T>`

### from

    public <X> Root<X> from(EntityType<X> entityType)

  Specified by:
    `from` in interface `AbstractQuery<T>`

### from

    public <X> Root<X> from(Class<X> entityClass)

  Specified by:
    `from` in interface `AbstractQuery<T>`

### getRestriction

    public Predicate getRestriction()

  Specified by:
    `getRestriction` in interface `AbstractQuery<T>`

### where

    public CriteriaQuery<T> where(Expression<Boolean> expression)

  Specified by:
    `where` in interface `AbstractQuery<T>`
  Specified by:
    `where` in interface `CriteriaQuery<T>`

### where

    public CriteriaQuery<T> where(Predicate... predicates)

  Specified by:
    `where` in interface `AbstractQuery<T>`
  Specified by:
    `where` in interface `CriteriaQuery<T>`

### getGroupList

    public List<Expression<?>> getGroupList()

  Specified by:
    `getGroupList` in interface `AbstractQuery<T>`

### groupBy

    public CriteriaQuery<T> groupBy(Expression<?>... groupings)

  Specified by:
    `groupBy` in interface `AbstractQuery<T>`
  Specified by:
    `groupBy` in interface `CriteriaQuery<T>`

### groupBy

    public CriteriaQuery<T> groupBy(List<Expression<?>> groupings)

  Specified by:
    `groupBy` in interface `AbstractQuery<T>`
  Specified by:
    `groupBy` in interface `CriteriaQuery<T>`

### getGroupRestriction

    public Predicate getGroupRestriction()

  Specified by:
    `getGroupRestriction` in interface `AbstractQuery<T>`

### having

    public CriteriaQuery<T> having(Expression<Boolean> expression)

  Specified by:
    `having` in interface `AbstractQuery<T>`
  Specified by:
    `having` in interface `CriteriaQuery<T>`

### having

    public CriteriaQuery<T> having(Predicate... predicates)

  Specified by:
    `having` in interface `AbstractQuery<T>`
  Specified by:
    `having` in interface `CriteriaQuery<T>`

### getOrderList

    public List<Order> getOrderList()

  Specified by:
    `getOrderList` in interface `CriteriaQuery<T>`

### orderBy

    public CriteriaQuery<T> orderBy(Order... orders)

  Specified by:
    `orderBy` in interface `CriteriaQuery<T>`

### orderBy

    public CriteriaQuery<T> orderBy(List<Order> orders)

  Specified by:
    `orderBy` in interface `CriteriaQuery<T>`

### getParameters

    public Set<ParameterExpression<?>> getParameters()

  Specified by:
    `getParameters` in interface `CriteriaQuery<T>`

### subquery

    public <U> Subquery<U> subquery(Class<U> subqueryType)

  Specified by:
    `subquery` in interface `AbstractQuery<T>`

### validate

    public void validate()

### render

    public CriteriaQueryCompiler.RenderedCriteriaQuery render(CriteriaQueryCompiler.RenderingContext renderingContext)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.